Bug 815654 - Flag::update XMLRPC call returns error
Flag::update XMLRPC call returns error
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks: BZ42
  Show dependency treegraph
 
Reported: 2012-04-24 03:39 EDT by Martin Kosek
Modified: 2014-10-12 18:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.2.1-0.b28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 05:35:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2012-04-24 03:39:14 EDT
Description of problem:
Flag::update XMLRPC call successfully updates the Bug flags, but returns an error anyway:


$ python
Python 2.7.2 (default, Oct 27 2011, 01:40:22) 
[GCC 4.6.1 20111003 (Red Hat 4.6.1-10)] on linux2
>>> from bz.proxy import BugzillaProxy
>>> bz = BugzillaProxy()
>>> bz.login(user="mkosek@redhat.com", password="PASSWORD")
>>> bz.proxy
<ServerProxy for partner-bugzilla.redhat.com/xmlrpc.cgi>
>>> bz.proxy.Flag.update({'ids': [782894], 'nomail' : False,
...         'updates' : [
...             {'name' : 'devel_ack', 'status' : '+', }
...             ]
...         })
Traceback (most recent call last):
  File "<stdin>", line 3, in <module>
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1224, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1575, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1264, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1297, in single_request
    return self.parse_response(response)
  File "bz/proxy.py", line 234, in parse_response
    return xmlrpclib.SafeTransport.parse_response(self, response)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1473, in parse_response
    return u.close()
  File "/usr/lib64/python2.7/xmlrpclib.py", line 793, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault -32000: 'Can\'t locate object method "id" via package "mkosek@redhat.com" (perhaps you forgot to load "mkosek@redhat.com"?) at Bugzilla/User.pm line 1951.\n'>


Version-Release number of selected component (if applicable):
4.2.1-0.b26

How reproducible:


Steps to Reproduce:
1. Run XMLRPC call "Flag.update"
2.
3.
  
Actual results:
Flags are updated but error is returned

Expected results:
Flags are updated and no error is returned if it was OK

Additional info:
Comment 1 Simon Green 2012-04-24 05:19:43 EDT
Actual results:
No e-mail is sent

Expected results:
E-mail is sent.

Will work on this on Thursday (tomorrow is a holiday in Australia)

  -- simon
Comment 3 Simon Green 2012-04-26 05:35:15 EDT
Will be fixed in the next release.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.